Bug 867533 - LUKSError: luks device not configured
LUKSError: luks device not configured
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:8636a1c8633a31b1b029eb6e758...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 12:32 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 00:11:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (194.08 KB, text/plain)
2012-10-17 12:32 EDT, Richard Marko
no flags Details
File: product (6 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: type (9 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: storage.log (65.50 KB, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: version (11 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: environ (764 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: anaconda.log (12.57 KB, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: syslog (59.70 KB, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: cmdline_file (110 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: release (24 bytes, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details
File: program.log (25.33 KB, text/plain)
2012-10-17 12:33 EDT, Richard Marko
no flags Details

  None (edit)
Description Richard Marko 2012-10-17 12:32:55 EDT
Description of problem:
Trying to access luks device.

Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/luks.py", line 163, in setup
:    raise LUKSError("luks device not configured")
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1959, in on_unlock_clicked
:    device.format.setup()
:LUKSError: luks device not configured
Comment 1 Richard Marko 2012-10-17 12:32:58 EDT
Created attachment 628941 [details]
File: anaconda-tb
Comment 2 Richard Marko 2012-10-17 12:33:00 EDT
Created attachment 628942 [details]
File: product
Comment 3 Richard Marko 2012-10-17 12:33:02 EDT
Created attachment 628944 [details]
File: type
Comment 4 Richard Marko 2012-10-17 12:33:04 EDT
Created attachment 628945 [details]
File: ifcfg.log
Comment 5 Richard Marko 2012-10-17 12:33:06 EDT
Created attachment 628946 [details]
File: storage.log
Comment 6 Richard Marko 2012-10-17 12:33:08 EDT
Created attachment 628947 [details]
File: version
Comment 7 Richard Marko 2012-10-17 12:33:10 EDT
Created attachment 628948 [details]
File: environ
Comment 8 Richard Marko 2012-10-17 12:33:13 EDT
Created attachment 628949 [details]
File: anaconda.log
Comment 9 Richard Marko 2012-10-17 12:33:15 EDT
Created attachment 628950 [details]
File: syslog
Comment 10 Richard Marko 2012-10-17 12:33:17 EDT
Created attachment 628951 [details]
File: hashmarkername
Comment 11 Richard Marko 2012-10-17 12:33:19 EDT
Created attachment 628952 [details]
File: packaging.log
Comment 12 Richard Marko 2012-10-17 12:33:21 EDT
Created attachment 628953 [details]
File: cmdline_file
Comment 13 Richard Marko 2012-10-17 12:33:23 EDT
Created attachment 628954 [details]
File: release
Comment 14 Richard Marko 2012-10-17 12:33:26 EDT
Created attachment 628955 [details]
File: program.log
Comment 15 David Lehman 2012-10-18 13:05:08 EDT
This should be fixed by the patch for bug 865247, which expanded the set of exceptions caught when testing the provided passphrase. The fix for that bug will hopefully be in anaconda-18.19-1.
Comment 16 Fedora Update System 2012-10-19 21:31:36 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 17 Fedora Update System 2012-10-19 23:50:12 EDT
Package anaconda-18.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16528/anaconda-18.19-1.fc18
then log in and leave karma (feedback).
Comment 18 Adam Williamson 2012-11-23 00:11:34 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.